<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>SatNOGS Raspberry Pi Image Repository</title>
    <style>
    body {
      font-family: sans-serif;
      margin: auto;
      max-width: 1280px;
    }
    </style>
  </head>
  <body>
    <h1>SatNOGS Raspberry Pi Image Repository</h1>
    <p>
    This page is hosting the SatNOGS <a href="./satnogs.json">OS list</a> and <a href="./rpi-imager.json">OS sublist</a> using GitLab Pages.
    <br/>
    <br/>
    {% if env['CI_PROJECT_URL'] %}
    Source code:
    <a href="{{ env['CI_PROJECT_URL'] }}">{{ env['CI_PROJECT_URL'] }}</a>
    <br/>
    {% endif %}
    <ul>
    {% for os in imager.os_list %}
      <li><a href="{{ os.url }}">{{ os.name }}</a></li>
      <ul>
        <li>Description: {{ os.description }}</li>
        <li>Release date: {{ os.release_date }}</li>
        <li>Download size: {{ os.image_download_size // 1024 // 1024 }} MiB</li>
        <li>SHA256 sum: {{ os.image_download_sha256 }}</li>
      </ul>
    {% endfor %}
    </ul>
    </p>
  </body>
</html>

